[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Kernel 2.6.19 squashfs problem and bugzilla



Dave Jones <davej <at> redhat.com> writes:

> 
> On Fri, Mar 02, 2007 at 04:37:03PM +0100, Olivier Galibert wrote:
>  > The kernel from kernel-2.6.19-1.2288.fc5.x86_64.rpm is not able to
>  > loop-mount the fc5 install Fedora/base/stage2.img file, at least
>  > through nfs.  You get:
>  >   squashfs: version 3.2-alpha (2006/12/12) Phillip Lougher
>  >   SQUASHFS error: sb_bread failed reading block 0x9e8be8e1
>  >   SQUASHFS error: unable to read inode lookup table
> 
> squashfs isn't compatible between releases.
> 

Squashfs is now generally compatible between releases.  A later release
of Squashfs can mount filesystems from earlier releases (i.e. 3.2
can mount 3.1, 3.0 and earlier filesystems).  Earlier releases of
Squashfs generally couldn't mount later filesystem versions, however,
since 3.0 I have tried to maintain both backwards and forwards
compatibility, and a 3.0 patched kernel can mount 3.2 filesystems.

Phillip



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]